ome-xml 5.2.3

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
ome::xml::model::Folder Class Reference

Folder model object. More...

`#include <ome/xml/model/Folder.h>`

Inheritance diagram for ome::xml::model::Folder:
[legend]
Collaboration diagram for ome::xml::model::Folder:
[legend]

## Classes
class | Impl
| Private implementation details of Folder model object. More...

## Public Member Functions
| Folder ()
| Default constructor.
| Folder (const Folder &copy)
| Copy constructor. More...
virtual | ~Folder ()
| Destructor.
const std::string & | elementName () const
| Get the element name of this model object. More...
bool | validElementName (const std::string &name) const
| Check if a given element name is valid for processing by this model object. More...
virtual void | update (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
const std::string & | getID () const
| Get the ID property. More...
void | setID (const std::string &id)
| Set the ID property. More...
ome::compat::shared_ptr< std::string > | getName ()
| Get the Name property. More...
const ome::compat::shared_ptr< std::string > | getName () const
| Get the Name property. More...
void | setName (ome::compat::shared_ptr< std::string > &name)
| Set the Name property. More...
ome::compat::shared_ptr< std::string > | getDescription ()
| Get the Description property. More...
const ome::compat::shared_ptr< std::string > | getDescription () const
| Get the Description property. More...
void | setDescription (ome::compat::shared_ptr< std::string > &description)
| Set the Description property. More...
OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedFolderList () const
| Get size of linked Folder list. More...
OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type | getLinkedFolderList () const
| Get the linked Folder list. More...
const ome::compat::weak_ptr< ome::xml::model::Folder > & | getLinkedFolder (OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Folder. More...
const ome::compat::weak_ptr< ome::xml::model::Folder > & | setLinkedFolder (OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Folder > &folder)
| Set linked Folder. More...
bool | linkFolder (const ome::compat::shared_ptr< ome::xml::model::Folder > &folder)
| Link Folder. More...
bool | unlinkFolder (const ome::compat::shared_ptr< ome::xml::model::Folder > &folder)
| Unlink Folder. More...
OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedImageList () const
| Get size of linked Image list. More...
OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type | getLinkedImageList () const
| Get the linked Image list. More...
const ome::compat::weak_ptr< ome::xml::model::Image > & | getLinkedImage (OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Image. More...
const ome::compat::weak_ptr< ome::xml::model::Image > & | setLinkedImage (OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Image > &image)
| Set linked Image. More...
bool | linkImage (const ome::compat::shared_ptr< ome::xml::model::Image > &image)
| Link Image. More...
bool | unlinkImage (const ome::compat::shared_ptr< ome::xml::model::Image > &image)
| Unlink Image. More...
OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedROIList () const
| Get size of linked ROI list. More...
OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type | getLinkedROIList () const
| Get the linked ROI list. More...
const ome::compat::weak_ptr< ome::xml::model::ROI > & | getLinkedROI (OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type::size_type index) const
| Get linked ROI. More...
const ome::compat::weak_ptr< ome::xml::model::ROI > & | setLinkedROI (OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::ROI > &roi)
| Set linked ROI. More...
bool | linkROI (const ome::compat::shared_ptr< ome::xml::model::ROI > &roi)
| Link ROI. More...
bool | unlinkROI (const ome::compat::shared_ptr< ome::xml::model::ROI > &roi)
| Unlink ROI. More...
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedAnnotationList () const
| Get size of linked Annotation list. More...
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type | getLinkedAnnotationList () const
| Get the linked Annotation list. More...
const ome::compat::weak_ptr< ome::xml::model::Annotation > & | getLinkedAnnotation (OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Annotation. More...
const ome::compat::weak_ptr< ome::xml::model::Annotation > & | setLinkedAnnotation (OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Set linked Annotation. More...
bool | linkAnnotation (const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Link Annotation. More...
bool | unlinkAnnotation (const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Unlink Annotation. More...
OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedChildFolderList () const
| Get size of linked ChildFolder list. More...
OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type | getLinkedChildFolderList () const
| Get the linked ChildFolder list. More...
const ome::compat::weak_ptr< ome::xml::model::Folder > & | getLinkedChildFolder (OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type index) const
| Get linked ChildFolder. More...
const ome::compat::weak_ptr< ome::xml::model::Folder > & | setLinkedChildFolder (OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Folder > &folder_BackReference)
| Set linked ChildFolder. More...
bool | linkChildFolder (const ome::compat::shared_ptr< ome::xml::model::Folder > &folder_BackReference)
| Link ChildFolder. More...
bool | unlinkChildFolder (const ome::compat::shared_ptr< ome::xml::model::Folder > &folder_BackReference)
| Unlink ChildFolder. More...
virtual common::xml::dom::Element | asXMLElement (common::xml::dom::Document &document) const
| Transform the object hierarchy rooted at this element to XML. More...
const std::string & | getXMLNamespace () const
| Get the XML namespace for this model object. More...
Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
virtual | ~OMEModelObject ()
| Destructor.
virtual void | update (const common::xml::dom::Element &element, ::ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ::ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
Public Member Functions inherited from ome::xml::model::OMEModelObject
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< OMEModelObject > &object)=0
| Link a given OME model object to this model object. More...

## Static Public Member Functions
static ome::compat::shared_ptr< Folder > | create (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Create a Folder model object from DOM element. More...
Static Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
static std::vector< common::xml::dom::Element > | getChildrenByTagName (const common::xml::dom::Element &parent, const std::string &name)
| Retrieve all the children of an element that have a given tag name. More...
static std::string | stripNamespacePrefix (const std::string &value)
| Strip the namespace prefix from a tag name. More...

## Protected Member Functions
virtual common::xml::dom::Element | asXMLElementInternal (common::xml::dom::Document &document, common::xml::dom::Element &element) const
| Transform the object hierarchy rooted at this element to XML. More...
Protected Member Functions inherited from ome::xml::model::detail::OMEModelObject
| OMEModelObject (const std::string &objectType="OMEModelObject")
| Constructor.
| OMEModelObject (const OMEModelObject &copy)
| Copy constructor. More...
template<class C , typename T >
bool | contains (const C &container, const ome::compat::shared_ptr< T > &element)
| Check if a container contains a particular element. More...
Protected Member Functions inherited from ome::xml::model::OMEModelObject
| OMEModelObject ()
| Constructor.

## Private Member Functions
Folder & | operator= (const Folder &)
| Assignment operator (deleted).

## Private Attributes
ome::compat::shared_ptr< Impl > | impl
| Private implementation details.

## Additional Inherited Members
Protected Attributes inherited from ome::xml::model::detail::OMEModelObject
ome::common::Logger | logger
| Message logger.

## Detailed Description

Folder model object.

## Constructor & Destructor Documentation

## § Folder()

ome::xml::model::Folder::Folder | ( | const Folder & | copy | ) |

Copy constructor.

Parameters

  copy | the Folder to copy.

## Member Function Documentation

## § asXMLElement()

common::xml::dom::Element ome::xml::model::Folder::asXMLElement | ( | common::xml::dom::Document & | document | ) | const
| virtual

Transform the object hierarchy rooted at this element to XML.

Parameters

  document | document for element creation

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::OMEModelObject.

References asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), and getXMLNamespace().

## § asXMLElementInternal()

common::xml::dom::Element ome::xml::model::Folder::asXMLElementInternal | ( | common::xml::dom::Document & | document,
|  | common::xml::dom::Element & | element
| ) |  | const
| protectedvirtual

Transform the object hierarchy rooted at this element to XML.

This internal implementation of asXMLelement also requires an XML element, which must not be null, or may be instantiated and passed from superclasses.

Parameters

  document | XML document for element creation.
  element | XML element for setting model data.

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::detail::OMEModelObject.

References ome::common::xml::dom::Node::appendChild(), ome::xml::model::detail::OMEModelObject::asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), getXMLNamespace(), impl, and ome::common::xml::dom::Element::setAttribute().

Referenced by asXMLElement().

Here is the caller graph for this function:

## § create()

ome::compat::shared_ptr< Folder > ome::xml::model::Folder::create | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| static

Create a Folder model object from DOM element.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Returns
  a new model object.

Referenced by ome::xml::model::OME::update().

Here is the caller graph for this function:

## § elementName()

const std::string & ome::xml::model::Folder::elementName | ( |  | ) | const
| virtual

Get the element name of this model object.

This will be the most-derived class name.

Returns
  the element type.

Implements ome::xml::model::OMEModelObject.

## § getDescription() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::Folder::getDescription | ( |  | ) |

Get the Description property.

Returns
  the Description property.

References impl.

## § getDescription() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::Folder::getDescription | ( |  | ) | const

Get the Description property.

Returns
  the Description property.

References impl.

## § getID()

const std::string & ome::xml::model::Folder::getID | ( |  | ) | const

Get the ID property.

Returns
  the ID property.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § getLinkedAnnotation()

const ome::compat::weak_ptr< ome::xml::model::Annotation > & ome::xml::model::Folder::getLinkedAnnotation | ( | OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Annotation.

Parameters

  index | the index number of the Annotation.

Returns
  a weak pointer to the Annotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedAnnotationList()

OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type ome::xml::model::Folder::getLinkedAnnotationList | ( |  | ) | const

Get the linked Annotation list.

Returns
  a reference to the list.

References impl.

## § getLinkedChildFolder()

const ome::compat::weak_ptr< ome::xml::model::Folder > & ome::xml::model::Folder::getLinkedChildFolder | ( | OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked ChildFolder.

Parameters

  index | the index number of the ChildFolder.

Returns
  a weak pointer to the ChildFolder.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedChildFolderList()

OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type ome::xml::model::Folder::getLinkedChildFolderList | ( |  | ) | const

Get the linked ChildFolder list.

Returns
  a reference to the list.

References impl.

## § getLinkedFolder()

const ome::compat::weak_ptr< ome::xml::model::Folder > & ome::xml::model::Folder::getLinkedFolder | ( | OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Folder.

Parameters

  index | the index number of the Folder.

Returns
  a weak pointer to the Folder.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedFolderList()

OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type ome::xml::model::Folder::getLinkedFolderList | ( |  | ) | const

Get the linked Folder list.

Returns
  a reference to the list.

References impl.

## § getLinkedImage()

const ome::compat::weak_ptr< ome::xml::model::Image > & ome::xml::model::Folder::getLinkedImage | ( | OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Image.

Parameters

  index | the index number of the Image.

Returns
  a weak pointer to the Image.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedImageList()

OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type ome::xml::model::Folder::getLinkedImageList | ( |  | ) | const

Get the linked Image list.

Returns
  a reference to the list.

References impl.

## § getLinkedROI()

const ome::compat::weak_ptr< ome::xml::model::ROI > & ome::xml::model::Folder::getLinkedROI | ( | OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked ROI.

Parameters

  index | the index number of the ROI.

Returns
  a weak pointer to the ROI.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedROIList()

OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type ome::xml::model::Folder::getLinkedROIList | ( |  | ) | const

Get the linked ROI list.

Returns
  a reference to the list.

References impl.

## § getName() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::Folder::getName | ( |  | ) |

Get the Name property.

Returns
  the Name property.

References impl.

## § getName() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::Folder::getName | ( |  | ) | const

Get the Name property.

Returns
  the Name property.

References impl.

## § getXMLNamespace()

const std::string & ome::xml::model::Folder::getXMLNamespace | ( |  | ) | const
| virtual

Get the XML namespace for this model object.

Returns
  the XML namespace.

Implements ome::xml::model::OMEModelObject.

Referenced by asXMLElement(), and asXMLElementInternal().

Here is the caller graph for this function:

## § link()

bool ome::xml::model::Folder::link | ( | ome::compat::shared_ptr< Reference > & | reference,
|  | ome::compat::shared_ptr< ome::xml::model::OMEModelObject > & | object
| ) |  |

Link a given OME model object to this model object.

Parameters

  reference | type qualifier for the reference. This should be the corresponding reference type for object. If, for example, object is of type Image, reference must be of type ImageRef.
  object | Model object to link to.

Returns
  `true` if this model object was able to handle the reference, otherwise `false`.

Todo:
  the use of reference to provide type information for the type of object is unconventional and quite possibly unnecessary–a simple string or type_info would suffice for what it's being used for, if it's needed at all. Is this true for all cases? The implementation also needs to do strict checking of the object type; it's not currently failing if it's of the wrong type. This applies to all generated model objects implementing this interface.

Todo:
  This bit is silly; why do we have two dynamic_casts here.

Todo:
  This bit is silly; why do we have two dynamic_casts here.

Todo:
  This bit is silly; why do we have two dynamic_casts here.

Todo:
  This bit is silly; why do we have two dynamic_casts here.

References impl, ome::xml::model::detail::OMEModelObject::link(), ome::xml::model::ROI::linkFolder(), ome::xml::model::Image::linkFolder(), ome::xml::model::Annotation::linkFolder(), and ome::xml::model::detail::OMEModelObject::logger.

## § linkAnnotation()

bool ome::xml::model::Folder::linkAnnotation | ( | const ome::compat::shared_ptr< ome::xml::model::Annotation > & | annotation | ) |

Link Annotation.

Parameters

  annotation | the Annotation to link.

Returns
  `true` if the object was added to the internal annotationLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

## § linkChildFolder()

bool ome::xml::model::Folder::linkChildFolder | ( | const ome::compat::shared_ptr< ome::xml::model::Folder > & | folder_BackReference | ) |

Link ChildFolder.

Parameters

  folder_BackReference | the ChildFolder to link.

Returns
  `true` if the object was added to the internal folder list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

## § linkFolder()

bool ome::xml::model::Folder::linkFolder | ( | const ome::compat::shared_ptr< ome::xml::model::Folder > & | folder | ) |

Link Folder.

Parameters

  folder | the Folder to link.

Returns
  `true` if the object was added to the internal folders list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

## § linkImage()

bool ome::xml::model::Folder::linkImage | ( | const ome::compat::shared_ptr< ome::xml::model::Image > & | image | ) |

Link Image.

Parameters

  image | the Image to link.

Returns
  `true` if the object was added to the internal imageLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

## § linkROI()

bool ome::xml::model::Folder::linkROI | ( | const ome::compat::shared_ptr< ome::xml::model::ROI > & | roi | ) |

Link ROI.

Parameters

  roi | the ROI to link.

Returns
  `true` if the object was added to the internal roiLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

## § setDescription()

void ome::xml::model::Folder::setDescription | ( | ome::compat::shared_ptr< std::string > & | description | ) |

Set the Description property.

Parameters

  description | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setID()

void ome::xml::model::Folder::setID | ( | const std::string & | id | ) |

Set the ID property.

Parameters

  id | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setLinkedAnnotation()

const ome::compat::weak_ptr< ome::xml::model::Annotation > & ome::xml::model::Folder::setLinkedAnnotation | ( | OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Annotation > & | annotation
| ) |  |

Set linked Annotation.

Note
  The index must be valid.

Parameters

  index | the index number of the Annotation.
  annotation | the Annotation to set.

Returns
  a weak pointer to the Annotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedChildFolder()

const ome::compat::weak_ptr< ome::xml::model::Folder > & ome::xml::model::Folder::setLinkedChildFolder | ( | OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Folder > & | folder_BackReference
| ) |  |

Set linked ChildFolder.

Note
  The index must be valid.

Parameters

  index | the index number of the ChildFolder.
  folder_BackReference | the ChildFolder to set.

Returns
  a weak pointer to the ChildFolder.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedFolder()

const ome::compat::weak_ptr< ome::xml::model::Folder > & ome::xml::model::Folder::setLinkedFolder | ( | OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Folder > & | folder
| ) |  |

Set linked Folder.

Note
  The index must be valid.

Parameters

  index | the index number of the Folder.
  folder | the Folder to set.

Returns
  a weak pointer to the Folder.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedImage()

const ome::compat::weak_ptr< ome::xml::model::Image > & ome::xml::model::Folder::setLinkedImage | ( | OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Image > & | image
| ) |  |

Set linked Image.

Note
  The index must be valid.

Parameters

  index | the index number of the Image.
  image | the Image to set.

Returns
  a weak pointer to the Image.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedROI()

const ome::compat::weak_ptr< ome::xml::model::ROI > & ome::xml::model::Folder::setLinkedROI | ( | OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::ROI > & | roi
| ) |  |

Set linked ROI.

Note
  The index must be valid.

Parameters

  index | the index number of the ROI.
  roi | the ROI to set.

Returns
  a weak pointer to the ROI.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setName()

void ome::xml::model::Folder::setName | ( | ome::compat::shared_ptr< std::string > & | name | ) |

Set the Name property.

Parameters

  name | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § sizeOfLinkedAnnotationList()

OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type ome::xml::model::Folder::sizeOfLinkedAnnotationList | ( |  | ) | const

Get size of linked Annotation list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedChildFolderList()

OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type ome::xml::model::Folder::sizeOfLinkedChildFolderList | ( |  | ) | const

Get size of linked ChildFolder list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedFolderList()

OMEModelObject::indexed_container< ome::xml::model::Folder, ome::compat::weak_ptr >::type::size_type ome::xml::model::Folder::sizeOfLinkedFolderList | ( |  | ) | const

Get size of linked Folder list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedImageList()

OMEModelObject::indexed_container< ome::xml::model::Image, ome::compat::weak_ptr >::type::size_type ome::xml::model::Folder::sizeOfLinkedImageList | ( |  | ) | const

Get size of linked Image list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedROIList()

OMEModelObject::indexed_container< ome::xml::model::ROI, ome::compat::weak_ptr >::type::size_type ome::xml::model::Folder::sizeOfLinkedROIList | ( |  | ) | const

Get size of linked ROI list.

Returns
  the size of the list.

References impl.

## § unlinkAnnotation()

bool ome::xml::model::Folder::unlinkAnnotation | ( | const ome::compat::shared_ptr< ome::xml::model::Annotation > & | annotation | ) |

Unlink Annotation.

Parameters

  annotation | the Annotation to unlink.

Returns
  `true` if the Annotation was unlinked, otherwise `false` if the Annotation was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkChildFolder()

bool ome::xml::model::Folder::unlinkChildFolder | ( | const ome::compat::shared_ptr< ome::xml::model::Folder > & | folder_BackReference | ) |

Unlink ChildFolder.

Parameters

  folder_BackReference | the ChildFolder to unlink.

Returns
  `true` if the ChildFolder was unlinked, otherwise `false` if the ChildFolder was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkFolder()

bool ome::xml::model::Folder::unlinkFolder | ( | const ome::compat::shared_ptr< ome::xml::model::Folder > & | folder | ) |

Unlink Folder.

Parameters

  folder | the Folder to unlink.

Returns
  `true` if the Folder was unlinked, otherwise `false` if the Folder was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkImage()

bool ome::xml::model::Folder::unlinkImage | ( | const ome::compat::shared_ptr< ome::xml::model::Image > & | image | ) |

Unlink Image.

Parameters

  image | the Image to unlink.

Returns
  `true` if the Image was unlinked, otherwise `false` if the Image was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkROI()

bool ome::xml::model::Folder::unlinkROI | ( | const ome::compat::shared_ptr< ome::xml::model::ROI > & | roi | ) |

Unlink ROI.

Parameters

  roi | the ROI to unlink.

Returns
  `true` if the ROI was unlinked, otherwise `false` if the ROI was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § update()

void ome::xml::model::Folder::update | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| virtual

Update the object hierarchy recursively from an XML DOM tree.

Note
  No properties are removed, only added or updated.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Implements ome::xml::model::OMEModelObject.

References ome::xml::model::OMEModel::addModelObject(), ome::xml::model::OMEModel::addReference(), ome::common::xml::dom::Element::getAttribute(), ome::xml::model::detail::OMEModelObject::getChildrenByTagName(), getID(), ome::common::xml::dom::Element::getTagName(), ome::common::xml::dom::Element::hasAttribute(), ome::xml::model::detail::OMEModelObject::logger, setDescription(), setID(), setName(), ome::xml::model::detail::OMEModelObject::stripNamespacePrefix(), ome::xml::model::detail::OMEModelObject::update(), and validElementName().

## § validElementName()

bool ome::xml::model::Folder::validElementName | ( | const std::string & | name | ) | const
| virtual

Check if a given element name is valid for processing by this model object.

Used for processing nodes when interitance is involved.

Parameters

  name | the element name to check.

Returns
  `true` if valid, `false` if invalid.

Implements ome::xml::model::detail::OMEModelObject.

References ome::xml::model::detail::OMEModelObject::validElementName().

Referenced by update().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/xml/model/Folder.h
- ome/xml/model/Folder.cpp